org.codehaus.groovy.transform.powerassert

## Class PowerAssertionError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.AssertionError
      - - org.codehaus.groovy.transform.powerassert.PowerAssertionError

All Implemented Interfaces:
  Serializable

    public class PowerAssertionError
    extends AssertionError

Indicates that a power assertion has failed.

Author:
  Peter Niederwieser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PowerAssertionError(String msg)`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PowerAssertionError

    public PowerAssertionError(String msg)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`